# Class AbstractMobileController

Mobile application abstract controller.

This file includes `import`'s mobile components/directives used by the HTML page and the controller to provide the configuration.

#### Hierarchy

- unknown
  - AbstractMobileController

- Defined in src/controllers/AbstractMobileController.js:41

#####
Index

### Constructors

constructor

### Properties

displaywindowHeight
displaywindowWidth
leftNavVisible
loginInfoMessage
manageResize
measureAreaActive
measureLengthActive
measurePointActive
redirectUrl
resizeTransition
rightNavVisible
searchListeners
searchOverlayVisible

### Methods

hideNav
navIsVisible
openNavMenu
toggleLeftNavVisibility
toggleRightNavVisibility

## Constructors

### constructor

- new AbstractMobileController($scope: IScope, $injector: IInjectorService): AbstractMobileController

- ### Ng Inject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractMobileController

  Overrides AbstractAppController.constructor

  - Defined in src/controllers/AbstractMobileController.js:47

## Properties

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractMobileController.js:89

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractMobileController.js:94

### leftNavVisible

leftNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:53
- Defined in src/controllers/AbstractMobileController.js:157
- Defined in src/controllers/AbstractMobileController.js:170

### loginInfoMessage

loginInfoMessage: string

- Defined in src/controllers/AbstractMobileController.js:139

### manageResize

manageResize: boolean

- Defined in src/controllers/AbstractMobileController.js:124

### measureAreaActive

measureAreaActive: boolean

The active state of the directive responsible of area measurements.

- Defined in src/controllers/AbstractMobileController.js:70

### measureLengthActive

measureLengthActive: boolean

The active state of the directive responsible of length measurements.

- Defined in src/controllers/AbstractMobileController.js:84

### measurePointActive

measurePointActive: boolean

The active state of the directive responsible of point measurements.

- Defined in src/controllers/AbstractMobileController.js:77

### redirectUrl

redirectUrl: any

### Constant

- Defined in src/controllers/AbstractMobileController.js:151

### resizeTransition

resizeTransition: number

- Defined in src/controllers/AbstractMobileController.js:125

### rightNavVisible

rightNavVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:58
- Defined in src/controllers/AbstractMobileController.js:132
- Defined in src/controllers/AbstractMobileController.js:142
- Defined in src/controllers/AbstractMobileController.js:163
- Defined in src/controllers/AbstractMobileController.js:171

### searchListeners

searchListeners: SearchDirectiveListeners<never>

- Defined in src/controllers/AbstractMobileController.js:115

### searchOverlayVisible

searchOverlayVisible: boolean

- Defined in src/controllers/AbstractMobileController.js:63
- Defined in src/controllers/AbstractMobileController.js:117
- Defined in src/controllers/AbstractMobileController.js:120

## Methods

### hideNav

- hideNav(): void

- Hide both navigation menus.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:169

### navIsVisible

- navIsVisible(): boolean

- ### Returns

  Return true if one of the navigation menus is visible, otherwise false.

  #### Returns boolean

  - Defined in src/controllers/AbstractMobileController.js:178

### openNavMenu

- openNavMenu(target: string): void

- Open the menu with corresponding to the data-target attribute value.

  #### Parameters

  - ##### target: string

    the data-target value.

  #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:187

### toggleLeftNavVisibility

- toggleLeftNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:156

### toggleRightNavVisibility

- toggleRightNavVisibility(): void

- #### Returns void

  - Defined in src/controllers/AbstractMobileController.js:162

Generated using TypeDoc